Subject: Re: Looking for Java WebDav clients..response

From: "csamson" <[email-masked]>
Date: Sat, 25 Nov 2000 13:46:21 -0000

A few months ago, I was looking for examples of simple Java client code
for accessing a WebDAV server. There are relatively few examples of any
HTTP Java client code available on the internet, let alone WebDAV !

I put the following test program together  (thanks also to the WebDAV list
for
a few pieces of advice).  Rather than the overhead of a full XML parser, I
wrote a simple routine to extract the elements I wanted from the returned
responses.

The example tests GET, PROPFIND, LOCK, PUT and UNLOCK, shows
how to implement Basic Authentication and how to handle locktokens.

As IE does not have a Java Console, I write messages out to the
screen once each example has been called.  No apologies for the code -
it's messy but it worked for testing purposes !

It works over the Internet with Sharemation, but not mydocsonline as this
does not seem to support the Lock command.

To test this out on Sharemation, which supports WebDAV
a) create a user account.
b)add a file such as  rfc2518.htm
c) run from within your Java environment (or create an applet) with the
following
parameter properties set....

<param name=user value=username>
<param name=pass value=password>
<param name=page value="http://www.sharemation.com/~username/rfc2518.htm">

where username and password are the sharemation account username and
password.

The Java source can be downloaded from www.screenplan.com/webdav.html

I'd welcome comments - please post any feedback to the working group, if
appropriate, or mail me separately.

Regards,

JC Samson

-----Original Message-----
From: Jim Whitehead <[email-masked]>
To: WebDAV WG <[email-masked]>
Date: 22 November 2000 04:06
Subject: FW: Looking for Java WebDav clients..

>Accidentally caught by the spam filter.  I've added Anselm Rajendra to the
>accept2 list.
>
>- Jim
>
>-----Original Message-----
>From: Anslem Rajendra [mailto:[email-masked]]
>Sent: Tuesday, November 21, 2000 2:43 PM
>To: [email-masked]'
>Subject: [Moderator Action] Looking for Java WebDav clients..
>
>
>Hello,
>
>My company is investigating the possiblity of creating an asset management
>soln using webDav.  I was looking for any Java webDav clients with source
>code that may be helpful in this endevour.  Would you know if there are any
>out there.  Also, would there be any libraries within Sun's java libraries
>to support this in the future.
>
>Thanks,
>Anslem.
>